Subject: [mpls] Possible future use of IEEE 1588v2 tiemstamp format in LM/DM

From: Greg Mirsky <[email-masked]>
Date: Tue, 17 May 2011 18:07:31 -0700

Dear Dan and Stewart,
probably it was already discussed and I apologize upfront for not finding
right thread in archive.
My question is to possible future use of IEEE1588 v2 timestamp format which
uses 48 bits for second counter and, as in PTPv1, 32 bit for nanosend
counter. Could the last paragraph of Appendix A that refers to truncated
format of IEEE1588 PTP be applied to PTP v2 case? How then interpret
Timestamp Type? As 'IEEE1588 version 1 Timestamp' or 'IEEE1588 Timestamp'?
If former, as in the current document, then how IEEE1588 v2 format will be
different from v1 if timestamps must fit into 64 bits? Or Timestamp Type in
this case used only to negotiate the source of a timestamp?

Regards,
Greg

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 18 May 2011 15:56:33 +0100

On 18/05/2011 02:07, Greg Mirsky wrote:
> Dear Dan and Stewart,
> probably it was already discussed and I apologize upfront for not 
> finding right thread in archive.
> My question is to possible future use of IEEE1588 v2 timestamp format 
> which uses 48 bits for second counter and, as in PTPv1, 32 bit for 
> nanosend counter. Could the last paragraph of Appendix A that refers 
> to truncated format of IEEE1588 PTP be applied to PTP v2 case? How 
> then interpret Timestamp Type? As 'IEEE1588 version 1 Timestamp' or 
> 'IEEE1588 Timestamp'? If former, as in the current document, then how 
> IEEE1588 v2 format will be different from v1 if timestamps must fit 
> into 64 bits? Or Timestamp Type in this case used only to negotiate 
> the source of a timestamp?
>
> Regards,
> Greg
Greg

The reference [ieee1588] is to IEEE 1588-2008 which is often known as 
IEEE-1588v2.

However I think that section 3.4 point 3 needs to be changed to say:

"IEEE 1588-2008 Precision Time Protocol timestamp format [IEEE1588] 
truncated to
use only the lower 32 bits of the seconds field.  This format  consists 
of a 32-bit
seconds field followed by a 32-bit nanoseconds field and is identical to the
IEEE 1588-2002 timestamp format."

I cannot imagine of any OAM application that would have difficulty 
coping with the
136 year rollover.

- Stewart

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 18 May 2011 15:14:17 -0700

Dear Stewart,
thank you for such quick response to my question.
I agree that proposed update addresses my concern. Perhaps you'll agree to
update Timestamp Type in section 8.2 to 'IEEE 1588 Timestamp' to remove
explicit reference to 'version 1'.

Regards,
Greg

On Wed, May 18, 2011 at 7:56 AM, Stewart Bryant <[email-masked]> wrote:

>> which uses 48 bits for second counter and, as in PTPv1, 32 bit for nanosend
> use only the lower 32 bits of the seconds field.  This format  consists of
> a 32-bit
> I cannot imagine of any OAM application that would have difficulty coping
> with the
> 136 year rollover.
>
> - Stewart
>
>
>
>
>
>
>

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 18 May 2011 23:19:39 +0100

Hi Greg

Yes, we will make it all consistent.

Thanks for picking this up.

Stewart

On 18/05/2011 23:14, Greg Mirsky wrote:
> I agree that proposed update addresses my concern. Perhaps you'll 
> agree to update Timestamp Type in section 8.2 to 'IEEE 1588 Timestamp' 
> to remove explicit reference to 'version 1'.
>
> Regards,
> Greg
>
> On Wed, May 18, 2011 at 7:56 AM, Stewart Bryant <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>         probably it was already discussed and I apologize upfront for
>         not finding right thread in archive.
>         My question is to possible future use of IEEE1588 v2 timestamp
>         format which uses 48 bits for second counter and, as in PTPv1,
>         32 bit for nanosend counter. Could the last paragraph of
>         Appendix A that refers to truncated format of IEEE1588 PTP be
>         applied to PTP v2 case? How then interpret Timestamp Type? As
>         'IEEE1588 version 1 Timestamp' or 'IEEE1588 Timestamp'? If
>         former, as in the current document, then how IEEE1588 v2
>         format will be different from v1 if timestamps must fit into
>         64 bits? Or Timestamp Type in this case used only to negotiate
>     The reference [ieee1588] is to IEEE 1588-2008 which is often known
>     as IEEE-1588v2.
>
>     "IEEE 1588-2008 Precision Time Protocol timestamp format
>     [IEEE1588] truncated to
>     use only the lower 32 bits of the seconds field.  This format
>      consists of a 32-bit

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html